Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.contains
Class WidgetWrapperHolder

    java.lang.Object
      edu.stanford.smi.protegex.widget.contains.WidgetWrapperHolder

All Implemented Interfaces:
  WidgetWrapperActionProcessor

Direct Known Subclasses:
  HorizontalWidgetWrapperHolder, VerticalWidgetWrapperHolder

    public abstract class WidgetWrapperHolder

extends Object
implements WidgetWrapperActionProcessor

Description of the Class

Author:
  William Grosso

Field Summary
`protected WidgetWrapper` | `_activeWidgetWrapper`
`protected Border` | `_defaultBorder`
`protected int` | `_horizontalScrollIncrement`
`protected JScrollPane` | `_scrollPaneAroundWidgetBox`
`protected WidgetWrapper` | `_selection`
`protected Border` | `_selectionBorder`
`protected Rectangle` | `_selectionRectangle`
`protected int` | `_verticalScrollIncrement`
`protected JViewport` | `_viewport`
`protected WidgetBox` | `_widgetBox`
`static int` | `BORDER_THICKNESS`
`static int` | `DEFAULT_HORIZONTAL_SCROLL_INCREMENT`
`static int` | `DEFAULT_SEPARATION_DISTANCE`
`static boolean` | `DEFAULT_USE_SEPARATORS`
`static int` | `DEFAULT_VERTICAL_SCROLL_INCREMENT`
`static int` | `TWO_TIMES_BORDER_THICKNESS`

Constructor Summary
`WidgetWrapperHolder()`
`WidgetWrapperHolder(int spacerSize, boolean useSpacers)`
`WidgetWrapperHolder(int spacerSize, boolean useSpacers, int verticalScrollIncrement, int horizontalScrollIncrement)`

Method Summary
`void` | `addWidgetWrapper(int index, WidgetWrapper widgetWrapper)`
`void` | `addWidgetWrapperActionListener(WidgetWrapperActionListener listener)`
`void` | `clearSelection()`
`int` | `getSpacerSize()`
`Component` | `getUserInterface()`
`boolean` | `getUseSeparators()`
`protected abstract WidgetBox` | `getWidgetBox(int spacerSize, boolean useSpacers)`
`boolean` | `isUseSeparators()`
`void` | `removeAllWidgetWrappers()`
`void` | `removeWidgetWrapper(WidgetWrapper widgetWrapper)`
`void` | `removeWidgetWrapperActionListener(WidgetWrapperActionListener listener)`
`protected abstract void` | `scrollToCorrectLocation()`
`void` | `setSelection(WidgetWrapper component)`
`void` | `setSpacerSize(int spacerSize)`
`void` | `setUseSeparators(boolean useSeparators)`
`void` | `unselectWidgetWrapper(WidgetWrapper widgetWrapper)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _verticalScrollIncrement

    protected int _verticalScrollIncrement

### _horizontalScrollIncrement

    protected int _horizontalScrollIncrement

### _selection

    protected WidgetWrapper _selection

### _activeWidgetWrapper

    protected WidgetWrapper _activeWidgetWrapper

### _defaultBorder

    protected Border _defaultBorder

### _selectionBorder

    protected Border _selectionBorder

### _scrollPaneAroundWidgetBox

    protected JScrollPane _scrollPaneAroundWidgetBox

### _widgetBox

    protected WidgetBox _widgetBox

### _viewport

    protected JViewport _viewport

### _selectionRectangle

    protected Rectangle _selectionRectangle

### BORDER_THICKNESS

    public static final int BORDER_THICKNESS

See Also:
  Constant Field Values

### TWO_TIMES_BORDER_THICKNESS

    public static final int TWO_TIMES_BORDER_THICKNESS

See Also:
  Constant Field Values

### DEFAULT_USE_SEPARATORS

    public static final boolean DEFAULT_USE_SEPARATORS

See Also:
  Constant Field Values

### DEFAULT_SEPARATION_DISTANCE

    public static final int DEFAULT_SEPARATION_DISTANCE

See Also:
  Constant Field Values

### DEFAULT_VERTICAL_SCROLL_INCREMENT

    public static final int DEFAULT_VERTICAL_SCROLL_INCREMENT

See Also:
  Constant Field Values

### DEFAULT_HORIZONTAL_SCROLL_INCREMENT

    public static final int DEFAULT_HORIZONTAL_SCROLL_INCREMENT

See Also:
  Constant Field Values

Constructor Detail

### WidgetWrapperHolder

    public WidgetWrapperHolder()

### WidgetWrapperHolder

    public WidgetWrapperHolder(int spacerSize,
                               boolean useSpacers)

### WidgetWrapperHolder

    public WidgetWrapperHolder(int spacerSize,
                               boolean useSpacers,
                               int verticalScrollIncrement,
                               int horizontalScrollIncrement)

Method Detail

### addWidgetWrapper

    public void addWidgetWrapper(int index,
                                 WidgetWrapper widgetWrapper)

### addWidgetWrapperActionListener

    public void addWidgetWrapperActionListener(WidgetWrapperActionListener listener)

  Specified by:
    `addWidgetWrapperActionListener` in interface `WidgetWrapperActionProcessor`

### clearSelection

    public void clearSelection()

### getSpacerSize

    public int getSpacerSize()

### getUserInterface

    public Component getUserInterface()

### getUseSeparators

    public boolean getUseSeparators()

### getWidgetBox

    protected abstract WidgetBox getWidgetBox(int spacerSize,
                                              boolean useSpacers)

### isUseSeparators

    public boolean isUseSeparators()

### removeAllWidgetWrappers

    public void removeAllWidgetWrappers()

### removeWidgetWrapper

    public void removeWidgetWrapper(WidgetWrapper widgetWrapper)

### removeWidgetWrapperActionListener

    public void removeWidgetWrapperActionListener(WidgetWrapperActionListener listener)

  Specified by:
    `removeWidgetWrapperActionListener` in interface `WidgetWrapperActionProcessor`

### scrollToCorrectLocation

    protected abstract void scrollToCorrectLocation()

### setSelection

    public void setSelection(WidgetWrapper component)

### setSpacerSize

    public void setSpacerSize(int spacerSize)

### setUseSeparators

    public void setUseSeparators(boolean useSeparators)

### unselectWidgetWrapper

    public void unselectWidgetWrapper(WidgetWrapper widgetWrapper)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request